Skip to main content

Add Collection Field (V2)

This operation adds a field to a collection without recreating the collection.

POST/v2/vectordb/collections/fields/add
Connection Endpoint

The base URL for this API is in the following format:

https://${CLUSTER_ENDPOINT}

📘Notes
  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
shell
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.

Example Value: Bearer {{TOKEN}}
Request Body
dbNamestring

The name of the database which the collection belongs to. Setting this to a non-existing database results in an error. If not specified, the default database applies.

collectionNamestringrequired

The name of the target collection. Setting this to a non-existing collection results in an error.

schemaobjectrequired

A field schema object.

fieldNamestringrequired

The name of the field to create in the target collection

dataTypestringrequired

The data type of the field values.

elementDataTypestring

The data type of the elements in an array field. This is required if the current field is of the array type.

nullableboolean

Whether the field can be null. If set to true, the field can contain null values.

defaultValuestring

The default value of the field. This is required if the current field is of the VarChar type.

isPrimaryboolean

Whether the current field is the primary field. Setting this to True makes the current field the primary field.

isPartitionKeyboolean

Whether the current field serves as the partition key. Setting this to True makes the current field serve as the partition key. In this case, Zilliz Cloud manages all partitions in the current collection.

elementTypeParamsobject

Extra field parameters.

max_lengthinteger

An optional parameter for VarChar values that determines the maximum length of the value in the current field.

diminteger

An optional parameter for FloatVector or BinaryVector fields that determines the vector dimension.

max_capacityinteger

An optional parameter for Array field values that determines the maximum number of elements in the current array field.

externalFieldstring

The name of the corresponding column in the external source. Required when creating an external collection.

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/fields/add" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "test_db",
"collectionName": "test_collection",
"schema": {
"fieldName": "new_field",
"dataType": "VARCHAR",
"nullable": true,
"defaultValue": "default_value",
"elementTypeParams": {
"max_length": 255
}
}
}'
Responses

Returns an empty object.

A generic response envelope returned by operations that carry no operation-specific result data. It still includes a data object.

codeinteger

Response code.

dataobject

The response payload object. Its contents depend on the operation that returns it.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {}
}